;(function(handlerNames) {
        function setupJavascriptBridge(callback) {
            if (window.WebViewInjectJavascriptBridge) {
            			callback(WebViewInjectJavascriptBridge)
            		} else {
            			document.addEventListener('WebViewInjectJavascriptBridgeReady', function() {
            				callback(WebViewInjectJavascriptBridge)
            			}, false)
            		}
        }
        
        setupJavascriptBridge(function(bridge) {
        bridge.init(function(message, responseCallback) {
        			log('JS got a message', message)
        			var data = { 'Javascript Responds':'Wee!' }
        			log('JS responding with', data)
        			responseCallback(data)
        		})
            window.ChoiceWindow = bridge;
            // 根据handlerNames给bridge对象添加方法（handlerName作为方法名）
            for (var i in handlerNames) {
                var handlerName = handlerNames[i];
                ChoiceWindow[handlerName] = function (tempHandlerName) {
                    return function(data, callback) {
                        if (typeof data == "function") { // 意味着没有参数 data，只有一个参数 callback
                            bridge.callHandler(tempHandlerName, null, data);
                        } else if (callback == null) {  // 第二个参数 callback 为 null 或者只有第一个参数 data
                            bridge.callHandler(tempHandlerName, data);
                        } else {  // 两个参数都有
                            bridge.callHandler(tempHandlerName, data, callback);
                        }
                    }
                }(handlerName);
            }
            ChoiceWindow.registerHandler("choiceWindowInterceptBackPressed",
                         function(data, responseCallback) {
                             var params = {'intercept': false};
                             if (typeof choiceWindowInterceptBackPressed === "function") {
                                 var val = choiceWindowInterceptBackPressed();
                                 params = {'intercept': val};
                             }
                          responseCallback(params);
             });
            // web提供JS函数，在此函数中注册JS Handler
            if(window.choiceWindowReady){
                window.choiceWindowReady();
            }
        });
        
    })(%1$s);