function updateReplyCount(newcount) {
    var countDiv = document.getElementById('replycount');
    if(newcount>0){
        countDiv.innerHTML = newcount + '评论';
        countDiv.style.visibility='visible';
    }else{
        countDiv.style.visibility='hidden';
    }
}

function changeContentSize(size) {
   document.getElementById('newsContent').style.fontSize=size;
   var lineHeight;
   if(size == '1.6rem'){
        lineHeight = '2.6rem'
   }else if(size == '1.8rem'){
        lineHeight = '3.0rem'
   }else if(size == '2.0rem'){
        lineHeight = '3.4rem'
   }else if(size == '2.2rem'){
        lineHeight = '3.8rem'
   }else{
        lineHeight = '2.6rem'
   }

   document.getElementById('newsContent').style.lineHeight = lineHeight;

   var relatedStock=document.getElementById('relatedStock');
   if(relatedStock!=null){
        relatedStock.style.fontSize=size;
   }
}


function showTip(id, visible) {
    var u = document.getElementById(id);
    u.style.visibility = visible;
}

function setImage(id, srcUrl, position) {
    var u = document.getElementById(id);
    var imgContent = document.getElementById('imgcontent' + position);
    /*name并非span固有属性，貌似规范不同，有时.name可以取到，有时不可以，因此两种方式都用*/
    imgContent.setAttribute('name','loadedimg');
    imgContent.name='loadedimg';
    u.onload = function() {
        u.style.visibility='visible';
        imgContent.style.minHeight='0px';
        console.log(srcUrl);
        document.getElementById('tipimg' + position).style.display='none';
        u.style.width = '100%';
        u.style.height = 'auto';
    };
    u.src = srcUrl;
}

function setImgArraySize(str) {
    var imgObj = document.getElementsByName("showpic");
    var array = str.split("&");
    var ww = document.getElementById("newsContent").scrollWidth - 2;
    for (i = 0; i < imgObj.length; i++) {
        imgObj[i].style.width = '100%';
        imgObj[i].style.height = ww * array[i] + 'px';
    }
}

function scrollToBottom() {
    var currentHeight=document.documentElement.scrollHeight || document.documentElement.offsetHeight;
    console.log('currentHeight'+currentHeight);
    window.scrollTo(0, currentHeight);
}


function setBlackTheme(b){
    var className=document.body.className;
    if(b){
        if(className.indexOf("black-skin")<0){
            if(className!='') className+=" ";
            className+="black-skin"
        }
    }else{
        className=className.replace(/\s*black-skin/, '');
    }

    document.body.className=className;
}

var resetAdImage = function(imageUrl, jumpUrl, trackStr){
    console.log('resetAdImage imageUrl = '+imageUrl + ', jumpUrl = ' + jumpUrl + ', trackStr = ' + trackStr);
    var image = document.getElementsByClassName('ad_image')[0];
    if(!image){
        return;
    }
    image.setAttribute('src', imageUrl);
    image.onclick = function(){
        clickAdImage(jumpUrl, trackStr)
    }

    image.onerror = function(){
        image.style.display='none'
    }
}

var clickAdImage = function(jumpUrl, trackStr) {
    console.log('clickAdImage jumpUrl = '+jumpUrl + ', trackStr = ' + trackStr);
    window.android.jumpAdView(jumpUrl , trackStr);
}


/******************************************************************
 * 
 * 朗读按钮
 * 
 *******************************************************************/
// 生成朗读按钮
var getLangduBtn = function () {
    var btn = document.createElement('span')
    btn.className = 'langdu'
    btn.innerText = '朗读'
    btn.id = 'langdubtn'
    btn.onclick = function () {
        clickReadBtn()
    }
    return btn
}
var containsImg = function (node) {
    if (!node) return
    var children = node.childNodes
    for (var i = 0; i < children.length; ++i) {
        var node = children[i]
        if (node.nodeName == 'IMG') return true
        if (containsImg(node)) return true
    }
    return false
}
var insertLangduBtn = function () {
    var content = document.getElementById('newsContent')
    var children = content.childNodes
    for (var i = 0; i < children.length; ++i) {
        var node = children[i]
        if (node.nodeName != 'P') continue
        if (node.innerText == '') continue
        if (containsImg(node)) continue
        node.insertBefore(getLangduBtn(), node.firstChild)
        break
    }
}

var setReadStatus = function (status) {
    if((status+'').length>3){
        status=JSON.parse(status).status
    }
    var btn = document.getElementById('langdubtn')
    var className = btn.className
    if (status == 1) {
        if (className.indexOf('langduing') >= 0) {
            return
        }
        className += ' langduing'
    } else if (status == 0) {
        className = className.replace(/\s*langduing/g, '')
    }
    btn.className = className
}
// insertLangduBtn();

/******************************************************************
 * 
 * 注册全局交互JS
 * 
 *******************************************************************/
var registerJSInteract = function () {
    EMNativeBridge.register('page', 'setTheme', setBlackTheme)
    EMNativeBridge.register('page', 'setFont', changeContentSize)
    EMNativeBridge.register('media', 'setReadStatus', setReadStatus)
}

var clickReadBtn = function (getstatus) {

    window.location.href = "emh5://emh5readBtnClick?data=" + JSON.stringify({
        code: "",
        type: "zixun",
        action: getstatus ? "getStatus" : 'click',
        title: "",
        headPicture: "",
        summary: "",
        callback: "EMNativeBridge.media.setReadStatus"
    })
    // eastmoney.emh5readBtnClick();
}


registerJSInteract()
// 不加延时，会阻塞
setTimeout(function() {
    // clickReadBtn(true)
}, 0);

